Bug 235904 - when loading text files only the first few lines are used
Summary: when loading text files only the first few lines are used
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Haavard Froeiland
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-01 12:59 UTC by H.H.
Modified: 2011-04-30 17:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.H. 2010-05-01 12:59:49 UTC
Version:           1.7.1 (using 4.4.2 (KDE 4.4.2) "release 231", KDE:KDE4:Factory:Desktop / openSUSE_11.2)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.31.5-0.1-desktop

to reproduce: open for example the file

http://www.gnu.org/licenses/gpl-3.0.txt

in ktouch. after the first 6 lines ktouch displays a message, that the lesson is over and repeats from beginning. This happens for multiple different files I tested.

It would also be nice, if empty lines could be skipped.
Comment 1 ion bulion 2010-09-08 10:37:06 UTC
i can confirm it 
if i load plain text or generate a custom lecture i cant type the whole text; after a few lines pops up a message and starts from the beginning

+1
"It would also be nice, if empty lines could be skipped."


Version 1.7.1
Using KDE Development Platform 4.4.2 (KDE 4.4.2)
Ubuntu 10.04 / amd64 - up to date
Comment 2 ion bulion 2010-09-27 18:19:48 UTC
i figured it out

ktouch>settings>configure ktouch>training options>disable automatic lvl adjustment for whole text OR adjust lvl parameters 

+1
"It would also be nice, if empty lines could be skipped."
Comment 3 Peter Ruethemann 2011-04-30 17:41:00 UTC
Bug fixed:

M  +1    -1    src/ktouchtrainer.cpp     
 
http://commits.kde.org/ktouch/db422b0fa44bcfa73d9080a5f24a56822671c6be